data_server <- function(id) {
  moduleServer(id, function(input, output, session) {

    df <- reactiveVal(NULL)

    set_data <- function(data) {
      df(data)
    }

    get_data <- reactive({
      df()
    })

    list(
      get = get_data,
      set = set_data
    )
  })
}

### END